Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.persistence
[Java] Class SessionAwareHibernateFlowExecutionListener

    java.lang.Object
      org.springframework.webflow.persistence.HibernateFlowExecutionListener
          org.codehaus.groovy.grails.webflow.persistence.SessionAwareHibernateFlowExecutionListener

    public class SessionAwareHibernateFlowExecutionListener
    extends HibernateFlowExecutionListener

Extends the HibernateFlowExecutionListener and doesn't bind a session if one is already present.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`SessionAwareHibernateFlowExecutionListener(SessionFactory sessionFactory, PlatformTransactionManager transactionManager)` Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

Method Summary
`void` | `paused(RequestContext context)`
`void` | `resuming(RequestContext context)`
`void` | `sessionEnded(RequestContext context, FlowSession session, java.lang.String outcome, AttributeMap output)`
`void` | `sessionEnding(RequestContext context, FlowSession session, java.lang.String outcome, MutableAttributeMap output)`
`void` | `sessionStarting(RequestContext context, FlowSession session, MutableAttributeMap input)`

Constructor Detail

### SessionAwareHibernateFlowExecutionListener

    public SessionAwareHibernateFlowExecutionListener(SessionFactory sessionFactory, PlatformTransactionManager transactionManager)

  Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.
  Parameters:
    `sessionFactory` - the session factory to use
    `transactionManager` - the transaction manager to drive transactions

Method Detail

### paused

    @Override
    public void paused(RequestContext context)

### resuming

    @Override
    public void resuming(RequestContext context)

### sessionEnded

    @Override
    public void sessionEnded(RequestContext context, FlowSession session, java.lang.String outcome, AttributeMap output)

### sessionEnding

    @Override
    public void sessionEnding(RequestContext context, FlowSession session, java.lang.String outcome, MutableAttributeMap output)

### sessionStarting

    @Override
    public void sessionStarting(RequestContext context, FlowSession session, MutableAttributeMap input)

Groovy Documentation